[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# DaySpan

Calculate the approximate number of days between two DateTime values.

## Declaration

Source position: dateutil.inc line 273

`function DaySpan(`
`const ANow: TDateTime;`
`const AThen: TDateTime`
`):Double;`

## Arguments

`ANow` |  | First moment in time
`AThen` |  | Second moment in time

## Function result

Number (fractions included) of days between ANow and AThen

## Description

DaySpan returns the number of Days between ANow and AThen, including any fractional parts of a Day.

## See also

YearSpan |  | Calculate the approximate number of years between two DateTime values.
MonthSpan |  | Calculate the approximate number of months between two DateTime values.
WeekSpan |  | Calculate the approximate number of weeks between two DateTime values.
HourSpan |  | Calculate the approximate number of hours between two DateTime values.
MinuteSpan |  | Calculate the approximate number of minutes between two DateTime values.
SecondSpan |  | Calculate the approximate number of seconds between two DateTime values.
MilliSecondSpan |  | Calculate the approximate number of milliseconds between two DateTime values.
DaysBetween |  | Number of whole days between two DateTime values.

## Example

    Program Example66;

    { This program demonstrates the DaySpan function }

    Uses SysUtils,DateUtils;

    Procedure Test(ANow,AThen : TDateTime);

    begin
     Write('Number of days between ');
     Write(DateTimeToStr(AThen),' and ',DateTimeToStr(ANow));
     Writeln(' : ',DaySpan(ANow,AThen));
    end;

    Var
      D1,D2 : TDateTime;

    Begin
      D1:=Now;
      D2:=Today-23/24;
      Test(D1,D2);
      D2:=Today-1;
      Test(D1,D2);
      D2:=Today-25/24;
      Test(D1,D2);
      D2:=Today-26/24;
      Test(D1,D2);
      D2:=Today-5.4;
      Test(D1,D2);
      D2:=Today-2.5;
      Test(D1,D2);
    End.

Documentation generated on: Feb 26 2014